%global fontname oflb-pecita
%global fontconf 63-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        4.3
Release:        2.20140527%{?dist}
Summary:        Pecita font family
License:        OFL

URL:            http://openfontlibrary.org/en/font/pecita
Source0:        http://openfontlibrary.org/assets/downloads/pecita/e34a8d3378efbb4d9f0be1ee9e3362f6/pecita.zip
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
Pecita is a typeface that mimics handwriting
The use of complex features makes this possible
The OpenType features Localized form substitution, Superscript ,
Subscript, Small Capitals, Standard Ligatures and Contextual Alternates
are implemented. Please visit http://pecita.eu 

%prep
%setup -q -c %{name}-%{version}
chmod 0644 *.txt
for txt in *.txt ; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.otf
%doc *.txt
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Sun Feb 08 2015 Carlos Morel-Riquelme <empateinfinito@gmail.com> - 4.3-1.20140527
- Fixed as per review comments

* Thu Feb 05 2015 Carlos Morel-Riquelme <empateinfinito@gmail.com> - 0.1-1.20140527
- Initial version
- Add metainfo file to show this font in gnome-software

